Ipelib: ipe::Symbol Class Reference

Ipelib

Public Member Functions | Public Attributes | List of all members
ipe::Symbol Class Reference
Ipe Attributes

`#include <ipestyle.h>`

## Public Member Functions
| Symbol ()
| Symbol (Object *object)
| Symbol (const Symbol &rhs)
Symbol & | operator= (const Symbol &rhs)
| ~Symbol ()

## Public Attributes
bool | iXForm
TTransformations | iTransformations
Object * | iObject
std::vector< Vector > | iSnap

## Detailed Description

A symbol is a named object defined in an ipe::StyleSheet.

## Constructor & Destructor Documentation

## ◆ Symbol() [1/3]

Symbol::Symbol | ( |  | ) |

Default constructor.

## ◆ Symbol() [2/3]

Symbol::Symbol | ( | Object * | object | ) |

Create symbol for object (takes ownership).

References ipe::ETransformationsAffine, iObject, iTransformations, and iXForm.

## ◆ Symbol() [3/3]

Symbol::Symbol | ( | const Symbol & | rhs | ) |

Copy constructor.

References ipe::Object::clone(), iObject, iSnap, iTransformations, and iXForm.

## ◆ ~Symbol()

Symbol::~Symbol | ( |  | ) |

Destructor.

References iObject.

## Member Function Documentation

## ◆ operator=()

Symbol & Symbol::operator= | ( | const Symbol & | rhs | ) |

Assignment operator.

References ipe::Object::clone(), iObject, iSnap, iTransformations, and iXForm.

## Member Data Documentation

## ◆ iXForm

bool ipe::Symbol::iXForm

Referenced by ipe::PdfPainter::doDrawSymbol(), operator=(), ipe::ImlParser::parseStyle(), and Symbol().

## ◆ iTransformations

TTransformations ipe::Symbol::iTransformations

Referenced by ipe::Reference::draw(), ipe::Reference::drawSimple(), operator=(), ipe::ImlParser::parseStyle(), and Symbol().

## ◆ iObject

Object* ipe::Symbol::iObject

Referenced by ipe::PdfWriter::createPageView(), ipe::PdfPainter::doDrawSymbol(), ipe::Painter::doDrawSymbol(), ipe::Path::drawArrow(), ipe::CanvasBase::drawObjects(), ipe::Reference::drawSimple(), ipe::Document::findBitmaps(), operator=(), ipe::Document::runLatex(), Symbol(), and ~Symbol().

## ◆ iSnap

std::vector<Vector> ipe::Symbol::iSnap

Referenced by ipe::Reference::checkStyle(), ipe::Reference::draw(), operator=(), ipe::ImlParser::parseStyle(), and Symbol().

The documentation for this class was generated from the following files:

- ipestyle.h
- ipestyle.cpp